## krecorder 23.08.3

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2021 Devin Lin <devin@kde.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#
cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(krecorder VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.0")
if (ANDROID)
    set(QT_MIN_VERSION "5.15.10")
endif()
set(KF_MIN_VERSION "5.89.0")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} REQUIRED)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# only enable QML debugging on debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG ")

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)

# setup version
ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KRECORDER
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS 
    Core 
    Gui 
    Widgets 
    Qml 
    QuickControls2 
    Multimedia 
    Svg
    QuickCompiler
)

find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    CoreAddons
    WindowSystem
)

find_package(KF5Kirigami2 ${KF_MIN_VERSION})
set_package_properties(KF5Kirigami2 PROPERTIES
    TYPE RUNTIME
)
find_package(KF5KirigamiAddons 0.6 REQUIRED)

add_subdirectory(src)

ki18n_install(po)

if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

install(PROGRAMS org.kde.krecorder.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.krecorder.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.krecorder.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
krecorder (23.08.3-2) unstable; urgency=low

  * Manpage is forwarded upstream
  * Added copyright information about .po files

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 24 Mar 2024 10:49:06 +0100

krecorder (23.08.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1067184)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 23 Mar 2024 04:14:32 +0100

=== debian/control ===
Source: krecorder
Section: kde
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qtmultimedia5-dev,
               libqt5svg5-dev,
               libkf5windowsystem-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               kirigami2-dev,
               kirigami-addons-dev,
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/it/krecorder/
Vcs-Browser: https://salsa.debian.org/debian/krecorder/
Vcs-Git: https://salsa.debian.org/debian/krecorder.git
Rules-Requires-Root: no

Package: krecorder
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 qml-module-qtquick-dialogs,
 qml-module-qtmultimedia,
Recommends:
 qml-module-org-kde-kirigami-addons-labs-mobileform,
Description: Audio recording application for Plasma
 Recorder is a convergent audio recording application.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.
 .
 It is minimal, and easy to use.
 .
 It can be used to take vocal notes, or for similar tasks.
 .
 Features:
 Record audio with a visualizer, and pausing functionality
 Ability to select audio sources
 Ability to select encoding and container formats
 Audio playback with a visualizer

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## krecorder 24.08.2

=== debian/changelog ===
krecorder (24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Nov 2024 15:06:02 +0000

krecorder (24.08.1-2) unstable; urgency=medium

  * Add some qml dependencies (Closes: #1082823)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 30 Sep 2024 17:16:33 +0200

krecorder (24.08.1-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 24 Sep 2024 16:47:27 +0200

krecorder (23.08.3-3) unstable; urgency=medium

  * Replace build-dep kirigami-addons-dev with kirigami-addons5-dev (Closes: #1079472)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 23 Aug 2024 22:51:38 +0200

=== debian/control ===
Source: krecorder
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               qt6-multimedia-dev,
               qt6-svg-dev,
               kirigami-addons-dev,
               qt6-declarative-dev,
               libkf6coreaddons-dev,
               libkf6i18n-dev,
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/it/krecorder/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
Rules-Requires-Root: no

Package: krecorder
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 qml6-module-qtquick-dialogs,
 qml6-module-qtmultimedia,
 qml6-module-org-kde-desktop,
 qml6-module-qtcore,
 qml6-module-qtqml-workerscript,
 qml6-module-org-kde-kirigamiaddons-formcard,
 qml6-module-org-kde-kirigamiaddons-delegates,
 qml6-module-org-kde-kirigamiaddons-components,
Recommends:
 qml6-module-org-kde-kirigami-addons-labs-mobileform,
Description: Audio recording application for Plasma
 Recorder is a convergent audio recording application.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.
 .
 It is minimal, and easy to use.
 .
 It can be used to take vocal notes, or for similar tasks.
 .
 Features:
 Record audio with a visualizer, and pausing functionality
 Ability to select audio sources
 Ability to select encoding and container formats
 Audio playback with a visualizer

## krecorder 24.12.0

=== debian/changelog ===
krecorder (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:17:48 +0000

krecorder (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:12:30 +0000

krecorder (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 15:12:35 +0000

krecorder (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 22:21:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               cmake,
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                extra-cmake-modules,
+               kirigami-addons-dev,
+               libkf6coreaddons-dev,
+               libkf6i18n-dev,
+               qt6-declarative-dev,
                qt6-multimedia-dev,
                qt6-svg-dev,
-               kirigami-addons-dev,
-               qt6-declarative-dev,
-               libkf6coreaddons-dev,
-               libkf6i18n-dev,
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/it/krecorder/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder

## krecorder 24.12.1

=== debian/changelog ===
krecorder (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 23:29:08 +0100

krecorder (24.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 24 Dec 2024 11:35:09 +0100

krecorder (24.08.3-1) unstable; urgency=medium

  * Use pkgkde-getqmldepends
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 27 Nov 2024 23:23:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: krecorder
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
+Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                extra-cmake-modules,
+               qt6-multimedia-dev,
+               qt6-svg-dev,
                kirigami-addons-dev,
+               qt6-declarative-dev,
                libkf6coreaddons-dev,
                libkf6i18n-dev,
-               qt6-declarative-dev,
-               qt6-multimedia-dev,
-               qt6-svg-dev,
+               pkg-kde-tools,
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/it/krecorder/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
+Vcs-Browser: https://salsa.debian.org/debian/krecorder/
+Vcs-Git: https://salsa.debian.org/debian/krecorder.git
 Rules-Requires-Root: no
 
 Package: krecorder
@@ -23,6 +23,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ ${qml6:Depends},
  qml6-module-qtquick-dialogs,
  qml6-module-qtmultimedia,
  qml6-module-org-kde-desktop,

## krecorder 24.12.2

=== debian/changelog ===
krecorder (24.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 27 Feb 2025 17:33:14 +0100

## krecorder 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,18 +7,19 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krecorder VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.15.0")
-if (ANDROID)
-    set(QT_MIN_VERSION "5.15.10")
-endif()
-set(KF_MIN_VERSION "5.89.0")
+# QT_MAJOR_VERSION is defined automatically by QtVersionOption (since ECM 5.82)
+# which is included by KDEInstallDirs;
+# This variables are updated below if Qt6 is found by ECM
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.5.0")
+set(KF_MAJOR_VERSION "6")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -42,6 +43,7 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMPoQmTools)
+include(ECMAddAndroidApk)
 
 # setup version
 ecm_setup_version(${PROJECT_VERSION}
@@ -49,7 +51,7 @@
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
 )
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS 
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
     Core 
     Gui 
     Widgets 
@@ -57,20 +59,18 @@
     QuickControls2 
     Multimedia 
     Svg
-    QuickCompiler
 )
 
-find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     I18n
     CoreAddons
-    WindowSystem
 )
 
-find_package(KF5Kirigami2 ${KF_MIN_VERSION})
-set_package_properties(KF5Kirigami2 PROPERTIES
+find_package(KF6Kirigami2 ${KF_MIN_VERSION})
+set_package_properties(KF6Kirigami2 PROPERTIES
     TYPE RUNTIME
 )
-find_package(KF5KirigamiAddons 0.6 REQUIRED)
+find_package(KF6KirigamiAddons 0.11 REQUIRED)
 
 add_subdirectory(src)
 
@@ -85,3 +85,8 @@
 install(FILES org.kde.krecorder.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-3.0-or-later

set(krecorder_SRCS
    main.cpp
    audioplayer.cpp
    audioprober.cpp
    audiorecorder.cpp
    recording.cpp
    recordingmodel.cpp
    settingsmodel.cpp
    utils.cpp
)

qt6_add_resources(RESOURCES resources.qrc)

add_executable(krecorder ${krecorder_SRCS} ${RESOURCES})
target_link_libraries(krecorder 
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Widgets
    Qt${QT_MAJOR_VERSION}::QuickControls2
    Qt${QT_MAJOR_VERSION}::Multimedia
    Qt${QT_MAJOR_VERSION}::Svg
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::CoreAddons
)

target_include_directories(krecorder PRIVATE ${CMAKE_BINARY_DIR})

install(TARGETS krecorder ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(ANDROID)
    kirigami_package_breeze_icons(ICONS
        media-playback-pause media-playback-start
        media-playback-stop media-record audio-input-microphone-symbolic
        entry-edit delete settings-configure
    )

    ecm_add_android_apk(krecorder ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
endif()

=== debian/changelog ===
krecorder (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build with dh-sequence-kf6
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 22:34:59 +0000

krecorder (24.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:26:24 +0100

=== debian/control ===
Source: krecorder
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake,
               extra-cmake-modules,
               kirigami-addons-dev,
               libkf6coreaddons-dev,
               libkf6i18n-dev,
               pkg-kde-tools,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/it/krecorder/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
Rules-Requires-Root: no

Package: krecorder
Architecture: any
Depends: qml6-module-org-kde-desktop,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-qtcore,
         qml6-module-qtmultimedia,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-dialogs,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-kirigami-addons-labs-mobileform,
Description: Audio recording application for Plasma
 Recorder is a convergent audio recording application.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.
 .
 It is minimal, and easy to use.
 .
 It can be used to take vocal notes, or for similar tasks.
 .
 Features:
 Record audio with a visualizer, and pausing functionality
 Ability to select audio sources
 Ability to select encoding and container formats
 Audio playback with a visualizer

## krecorder 25.04.0

=== debian/changelog ===
krecorder (25.04.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Apr 2025 22:30:09 +0200

krecorder (25.04.0-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 20 Apr 2025 12:27:20 +0200

krecorder (25.03.90-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Make the Qt/KDE Team the maintainer, update Vcs-* URLs.
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Switch to declarative dh-sequence-kf6 and dh-sequence-qmldeps
    debhelper sequences.
  * Cleanup debian/rules.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Apr 2025 22:14:29 +0200

=== debian/control ===
Source: krecorder
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               kirigami-addons-dev (>= 0.11~),
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/krecorder/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krecorder
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krecorder.git
Rules-Requires-Root: no

Package: krecorder
Architecture: any
Depends: qml6-module-org-kde-kirigamiaddons-formcard,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-kirigami-addons-labs-mobileform,
Description: Audio recording application for Plasma
 Recorder is a convergent audio recording application.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.
 .
 It is minimal, and easy to use.
 .
 It can be used to take vocal notes, or for similar tasks.
 .
 Features:
 Record audio with a visualizer, and pausing functionality
 Ability to select audio sources
 Ability to select encoding and container formats
 Audio playback with a visualizer

## krecorder 25.04.3

=== debian/changelog ===
krecorder (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:59 +0100

krecorder (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:54:52 +0100

krecorder (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:13:20 +0100

krecorder (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Build depend on libkf6config-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:57:20 +0100

## krecorder 25.07.80

=== debian/changelog ===
krecorder (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:19:21 +0100

## krecorder 25.07.90

=== debian/changelog ===
krecorder (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:54:53 +0100

## krecorder 25.08.0

=== debian/changelog ===
krecorder (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:27:47 +0100

## krecorder 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krecorder VERSION ${RELEASE_SERVICE_VERSION})
@@ -18,7 +18,7 @@
 # which is included by KDEInstallDirs;
 # This variables are updated below if Qt6 is found by ECM
 set(QT_MIN_VERSION "6.5.0")
-set(KF_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.12.0")
 set(KF_MAJOR_VERSION "6")
 
 set(CMAKE_CXX_STANDARD 17)
@@ -64,6 +64,7 @@
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     I18n
     CoreAddons
+    Config
 )
 
 find_package(KF6Kirigami2 ${KF_MIN_VERSION})
@@ -76,10 +77,6 @@
 
 ki18n_install(po)
 
-if (ANDROID)
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
-endif()
-
 install(PROGRAMS org.kde.krecorder.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.krecorder.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install(FILES org.kde.krecorder.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

=== debian/changelog ===
krecorder (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 	dh $@
+
+execute_before_dh_gencontrol:
+	pkgkde-getqmldepends -v --qt 6 -- -qmlFiles `find | grep qml`

## krecorder 25.08.1+p24.04+vstable+git20250925.1416

=== debian/changelog ===
krecorder (25.08.1+p24.04+vstable+git20250925.1416-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 14:16:41 +0000

krecorder (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:54:29 +0000

krecorder (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:16:49 +0000

krecorder (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:52:05 +0000

krecorder (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:42:32 +0000

krecorder (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:10:09 +0000

krecorder (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:35:20 +0000

krecorder (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:08:13 +0000

krecorder (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:25:06 +0000

krecorder (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:33:14 +0000

krecorder (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:11:47 +0000

krecorder (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:35:55 +0000

krecorder (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:00:35 +0000

krecorder (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:32:26 +0000

krecorder (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:24:12 +0000

krecorder (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:07:51 +0000

krecorder (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:20:22 +0000

krecorder (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:09:34 +0000

krecorder (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:53:35 +0000

krecorder (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:30:16 +0000

krecorder (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:13:19 +0000

krecorder (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:07:38 +0000

krecorder (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:56:03 +0000

krecorder (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:38:04 +0000

krecorder (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:13:30 +0000

krecorder (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 09:24:20 +0000

krecorder (21.06-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 10:47:55 +0000

## krecorder 25.08.1+p24.04+vstable+git20251001.0528

=== debian/changelog ===
krecorder (25.08.1+p24.04+vstable+git20251001.0528-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:28:32 +0000

## krecorder 25.08.2

=== debian/changelog ===
krecorder (25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Nov 2025 21:16:00 +0000

krecorder (25.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Switch uploader to myself on request of Salvo.

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Nov 2025 13:40:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: krecorder
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
@@ -19,8 +20,8 @@
                qt6-svg-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/krecorder/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krecorder
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krecorder.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
 Rules-Requires-Root: no
 
 Package: krecorder

## krecorder 25.08.2+p24.04+vstable+git20251011.0945

=== debian/changelog ===
krecorder (25.08.2+p24.04+vstable+git20251011.0945-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:45:28 +0000

krecorder (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:23:11 +0000

## krecorder 25.08.2+p24.04+vstable+git20251015.1032

=== debian/changelog ===
krecorder (25.08.2+p24.04+vstable+git20251015.1032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:32:00 +0000

## krecorder 25.08.2+p24.04+vstable+git20251021.0540

=== debian/changelog ===
krecorder (25.08.2+p24.04+vstable+git20251021.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:40:42 +0000

=== debian/control ===
Source: krecorder
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kwindowsystem-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/krecorder.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/krecorder
Maintainer: Neon CI <neon@kde.org>

Package: krecorder
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Sound recorder for Plasma Mobile
 Audio recorder for Plasma Mobile and other platforms

## krecorder 25.08.2+p24.04+vstable+git20251028.1005

=== debian/changelog ===
krecorder (25.08.2+p24.04+vstable+git20251028.1005-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:05:28 +0000

## krecorder 25.08.2+p24.04+vstable+git20251031.0945

=== debian/changelog ===
krecorder (25.08.2+p24.04+vstable+git20251031.0945-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:45:50 +0000

## krecorder 25.08.2+p24.04+vunstable+git20251011.0640

=== debian/changelog ===
krecorder (25.08.2+p24.04+vunstable+git20251011.0640-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:40:42 +0000

## krecorder 25.08.2+p24.04+vunstable+git20251015.1131

=== debian/changelog ===
krecorder (25.08.2+p24.04+vunstable+git20251015.1131-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:31:42 +0000

## krecorder 25.08.2+p24.04+vunstable+git20251021.0354

=== debian/changelog ===
krecorder (25.08.2+p24.04+vunstable+git20251021.0354-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:54:52 +0000

## krecorder 25.08.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
     Qt${QT_MAJOR_VERSION}::Svg
     KF${KF_MAJOR_VERSION}::I18n
     KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::ConfigCore
 )
 
 target_include_directories(krecorder PRIVATE ${CMAKE_BINARY_DIR})

=== debian/changelog ===
krecorder (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:39 +0000

=== debian/control ===
Source: krecorder
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.5.0~),
               kirigami-addons-dev (>= 0.11~),
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/krecorder/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
Rules-Requires-Root: no

Package: krecorder
Architecture: any
Depends: qml6-module-org-kde-kirigamiaddons-formcard,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-kirigami-addons-labs-mobileform,
Description: Audio recording application for Plasma
 Recorder is a convergent audio recording application.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.
 .
 It is minimal, and easy to use.
 .
 It can be used to take vocal notes, or for similar tasks.
 .
 Features:
 Record audio with a visualizer, and pausing functionality
 Ability to select audio sources
 Ability to select encoding and container formats
 Audio playback with a visualizer

## krecorder 25.08.3+p24.04+vunstable+git20251125.1314

=== debian/changelog ===
krecorder (25.08.3+p24.04+vunstable+git20251125.1314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 13:14:32 +0000

krecorder (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:32:53 +1000

## krecorder 25.08.3+p24.04+vunstable+git20251204.0227

=== debian/changelog ===
krecorder (25.08.3+p24.04+vunstable+git20251204.0227-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:27:30 +0000

## krecorder 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krecorder VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
krecorder (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:55:13 +0000

## krecorder 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krecorder VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
krecorder (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:11:44 +0000

## krecorder 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krecorder VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
krecorder (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:29:59 +0000

## krecorder 25.12.0+p24.04+vstable+git20251231.0249

=== debian/changelog ===
krecorder (25.12.0+p24.04+vstable+git20251231.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:49:26 +0000

krecorder (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:35 +1000

## krecorder 25.12.0+p24.04+vstable+git20260105.1113

=== debian/changelog ===
krecorder (25.12.0+p24.04+vstable+git20260105.1113-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:13:11 +0000

## krecorder 25.12.0+p24.04+vunstable+git20260105.1338

=== debian/changelog ===
krecorder (25.12.0+p24.04+vunstable+git20260105.1338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:38:10 +0000

## krecorder 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krecorder VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
krecorder (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add .gitattributes for changelog merge driver.

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jan 2026 11:38:45 +0000

krecorder (25.12.1-1) unstable; urgency=medium

  * Removed deprecated rules-requires-root
  * New upstream release
  * Re-become uploader

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 19 Jan 2026 19:21:47 +0100

krecorder (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:11:47 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
+           Aurélien COUDERC <coucouf@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.5.0~),
                kirigami-addons-dev (>= 0.11~),
                libkf6config-dev (>= 6.5.0~),
@@ -22,7 +23,6 @@
 Homepage: https://apps.kde.org/krecorder/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krecorder
-Rules-Requires-Root: no
 
 Package: krecorder
 Architecture: any

## krecorder 25.12.1+p24.04+vstable+git20260126.1221

=== debian/changelog ===
krecorder (25.12.1+p24.04+vstable+git20260126.1221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 12:21:56 +0000

krecorder (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:16:51 +1000

## krecorder 25.12.1+p24.04+vstable+git20260131.0308

=== debian/changelog ===
krecorder (25.12.1+p24.04+vstable+git20260131.0308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:08:22 +0000

## krecorder 25.12.1+p24.04+vunstable+git20260106.1403

=== debian/changelog ===
krecorder (25.12.1+p24.04+vunstable+git20260106.1403-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:03:33 +0000

## krecorder 25.12.1+p24.04+vunstable+git20260201.0651

=== debian/changelog ===
krecorder (25.12.1+p24.04+vunstable+git20260201.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:51:57 +0000

## krecorder 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krecorder VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
krecorder (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:27:43 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.5.0~),
                kirigami-addons-dev (>= 0.11~),
                libkf6config-dev (>= 6.5.0~),
